## org.apache.tools.ant.taskdefs.optional.ssh
Class SSHSession.RemoteTunnel

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.ssh.SSHSession.RemoteTunnel

Enclosing class:
  SSHSession

    public class SSHSession.RemoteTunnel

extends java.lang.Object

Constructor Summary
`SSHSession.RemoteTunnel()`

Method Summary
`java.lang.String` `getLHost()`
`int` `getLPort()`
`int` `getRPort()`
`void` `setLHost(java.lang.String lhost)`
`void` `setLPort(int lport)`
`void` `setRPort(int rport)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHSession.RemoteTunnel

    public SSHSession.RemoteTunnel()

Method Detail

### setLPort

    public void setLPort(int lport)

### setLHost

    public void setLHost(java.lang.String lhost)

### setRPort

    public void setRPort(int rport)

### getLPort

    public int getLPort()

### getLHost

    public java.lang.String getLHost()

### getRPort

    public int getRPort()